MP4(3)

NAME

MP4WriteRtpHint - Write an RTP hint

SYNTAX

#include <mp4.h>

bool MP4WriteRtpHint(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    MP4Duration duration,
    bool isSyncSample = true
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the hint track to which the operation applies.

duration
    The duration for this hint sample. Typically this is the same duration as for the corresponding sample in the reference media track. Caveat: The duration should be in the hint track timescale units, again typically the same as the reference media track.

isSyncSample
    The sync/random access flag for this sample. Typically this is the same as for the corresponding sample in the reference media track.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4WriteRtpHint writes the current pending hint created with MP4AddRtpHint() to the specified hint track.

SEE ALSO

MP4(3) MP4AddRtpHint (3)